﻿// ------------------------------------------------------------------------------
//  <auto-generated>
//      This code was generated by SpecFlow (http://www.specflow.org/).
//      SpecFlow Version:1.9.0.77
//      SpecFlow Generator Version:1.9.0.0
//      Runtime Version:4.0.30319.18444
// 
//      Changes to this file may cause incorrect behavior and will be lost if
//      the code is regenerated.
//  </auto-generated>
// ------------------------------------------------------------------------------
#region Designer generated code
#pragma warning disable
namespace WSS.AAT.Scenarios.StaAuditUpload
{
    using TechTalk.SpecFlow;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("TechTalk.SpecFlow", "1.9.0.77")]
    [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [NUnit.Framework.TestFixtureAttribute()]
    [NUnit.Framework.DescriptionAttribute("StaAuditUpload")]
    public partial class StaAuditUploadFeature
    {
        
        private static TechTalk.SpecFlow.ITestRunner testRunner;
        
#line 1 "StaAuditUpload.feature"
#line hidden
        
        [NUnit.Framework.TestFixtureSetUpAttribute()]
        public virtual void FeatureSetup()
        {
            testRunner = TechTalk.SpecFlow.TestRunnerManager.GetTestRunner();
            TechTalk.SpecFlow.FeatureInfo featureInfo = new TechTalk.SpecFlow.FeatureInfo(new System.Globalization.CultureInfo("en-US"), "StaAuditUpload", "", ProgrammingLanguage.CSharp, ((string[])(null)));
            testRunner.OnFeatureStart(featureInfo);
        }
        
        [NUnit.Framework.TestFixtureTearDownAttribute()]
        public virtual void FeatureTearDown()
        {
            testRunner.OnFeatureEnd();
            testRunner = null;
        }
        
        [NUnit.Framework.SetUpAttribute()]
        public virtual void TestInitialize()
        {
        }
        
        [NUnit.Framework.TearDownAttribute()]
        public virtual void ScenarioTearDown()
        {
            testRunner.OnScenarioEnd();
        }
        
        public virtual void ScenarioSetup(TechTalk.SpecFlow.ScenarioInfo scenarioInfo)
        {
            testRunner.OnScenarioStart(scenarioInfo);
        }
        
        public virtual void ScenarioCleanup()
        {
            testRunner.CollectScenarioErrors();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Standart STA Audit Upload file processing")]
        [NUnit.Framework.CategoryAttribute("StaAuditUpload")]
        public virtual void StandartSTAAuditUploadFileProcessing()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Standart STA Audit Upload file processing", new string[] {
                        "StaAuditUpload"});
#line 4
this.ScenarioSetup(scenarioInfo);
#line 5
testRunner.Given("There was a file for STA Audit Upload", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 6
testRunner.And("There was no data about previous Stock Adjustment in db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 7
testRunner.And("There was an adjustment for SKU \'500300\' with Normal Stock Quantity = 3 and Markd" +
                    "own Quantity = 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 8
testRunner.And("There was SKU \'500300\' with Normal Stock Quantity = 10 and Markdown Quantity = 10" +
                    " in db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 9
testRunner.And("There was an adjustment for SKU \'100013\' with Normal Stock Quantity = -4 and Mark" +
                    "down Quantity = -2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 10
testRunner.And("There was SKU \'100013\' with Normal Stock Quantity = 10 and Markdown Quantity = 10" +
                    " in db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 11
testRunner.When("The file was processed by STA Audit Upload", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 12
testRunner.Then("2 SKUs from file is successfully processed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 13
testRunner.Then("There is 0 errors", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 14
testRunner.And("There is a line for SKU \'500300\' in Stock Adjustment file with Adjustment Code \'0" +
                    "2\' and Quantity 3 and Comment \'PIC - Audit Count\' and Sequence Number \'00\' for p" +
                    "rocessed Zebra File for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 15
testRunner.And("There is a line for SKU \'500300\' in Stock Adjustment file with Adjustment Code \'5" +
                    "3\' and Quantity 1 and Comment \'PIC - Audit Count\' and Sequence Number \'00\' for p" +
                    "rocessed Zebra File for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 16
testRunner.And("There is a line for SKU \'100013\' in Stock Adjustment file with Adjustment Code \'0" +
                    "2\' and Quantity -4 and Comment \'PIC - Audit Count\' and Sequence Number \'00\' for " +
                    "processed Zebra File for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 17
testRunner.And("There is a line for SKU \'100013\' in Stock Adjustment file with Adjustment Code \'5" +
                    "3\' and Quantity -2 and Comment \'PIC - Audit Count\' and Sequence Number \'00\' for " +
                    "processed Zebra File for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 18
testRunner.And("There is a line for SKU \'500300\' in Stock Log file with Movement Type \'32\' and St" +
                    "arting Stock on Hand Quantity 10 and Ending Stock on Hand Quantity 13 for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 19
testRunner.And("There is a line for SKU \'500300\' in Stock Log file with Movement Type \'32\' and St" +
                    "arting Markdown Stock on Hand Quantity 10 and Ending Markdown Stock on Hand Quan" +
                    "tity 10 for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 20
testRunner.And("There is a line for SKU \'500300\' in Stock Log file with Movement Type \'67\' and St" +
                    "arting Stock on Hand Quantity 13 and Ending Stock on Hand Quantity 13 for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 21
testRunner.And("There is a line for SKU \'500300\' in Stock Log file with Movement Type \'67\' and St" +
                    "arting Markdown Stock on Hand Quantity 10 and Ending Markdown Stock on Hand Quan" +
                    "tity 11 for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 22
testRunner.And("There is a line for SKU \'100013\' in Stock Log file with Movement Type \'31\' and St" +
                    "arting Stock on Hand Quantity 10 and Ending Stock on Hand Quantity 6 for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 23
testRunner.And("There is a line for SKU \'100013\' in Stock Log file with Movement Type \'31\' and St" +
                    "arting Markdown Stock on Hand Quantity 10 and Ending Markdown Stock on Hand Quan" +
                    "tity 10 for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 24
testRunner.And("There is a line for SKU \'100013\' in Stock Log file with Movement Type \'66\' and St" +
                    "arting Stock on Hand Quantity 6 and Ending Stock on Hand Quantity 6 for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 25
testRunner.And("There is a line for SKU \'100013\' in Stock Log file with Movement Type \'66\' and St" +
                    "arting Markdown Stock on Hand Quantity 10 and Ending Markdown Stock on Hand Quan" +
                    "tity 8 for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 26
testRunner.And("For SKU \'500300\' Stock on Hand Quantity = 13 and Markdown Stock on Hand Quantity " +
                    "= 11", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 27
testRunner.And("For SKU \'100013\' Stock on Hand Quantity = 6 and Markdown Stock on Hand Quantity =" +
                    " 8", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("STA Audit Upload file processing with SKU wich does not exist in db")]
        public virtual void STAAuditUploadFileProcessingWithSKUWichDoesNotExistInDb()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("STA Audit Upload file processing with SKU wich does not exist in db", ((string[])(null)));
#line 29
this.ScenarioSetup(scenarioInfo);
#line 30
testRunner.Given("There was a file for STA Audit Upload", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 31
testRunner.And("There was no data about previous Stock Adjustment in db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 32
testRunner.And("There was an adjustment for SKU \'100500\' which is not exists in db with Normal St" +
                    "ock Quantity = 3 and Markdown Quantity = 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 33
testRunner.And("There was an adjustment for SKU \'100013\' with Normal Stock Quantity = 4 and Markd" +
                    "own Quantity = -2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 34
testRunner.And("There was SKU \'100013\' with Normal Stock Quantity = 10 and Markdown Quantity = 10" +
                    " in db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 35
testRunner.When("The file was processed by STA Audit Upload", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 36
testRunner.Then("1 SKU from file is successfully processed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 37
testRunner.And("There is 1 error", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 38
testRunner.And("There is no lines for SKU \'100500\' in Stock Adjustment file and in Stock Log file" +
                    "", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Correct Movement Keys are saved after STA Audit Upload file process")]
        public virtual void CorrectMovementKeysAreSavedAfterSTAAuditUploadFileProcess()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Correct Movement Keys are saved after STA Audit Upload file process", ((string[])(null)));
#line 40
this.ScenarioSetup(scenarioInfo);
#line 41
testRunner.Given("There was a file for STA Audit Upload", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 42
testRunner.And("There was no data about previous Stock Adjustment in db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 43
testRunner.And("There was an adjustment for SKU \'500300\' with Normal Stock Quantity = 3 and Markd" +
                    "own Quantity = 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 44
testRunner.And("There was an adjustment for SKU \'100013\' with Normal Stock Quantity = -4 and Mark" +
                    "down Quantity = -2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 45
testRunner.When("The file was processed by STA Audit Upload", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 46
testRunner.Then("2 SKUs from file is successfully processed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 47
testRunner.Then("There is 0 errors", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 48
testRunner.And("There is correct Movement Key in a line for SKU \'500300\' in Stock Log file with M" +
                    "ovement Type \'32\' and Adjustment Code \'02\' and Adjustment Sequence Number \'00\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 49
testRunner.And("There is correct Movement Key in a line for SKU \'500300\' in Stock Log file with M" +
                    "ovement Type \'67\' and Adjustment Code \'53\' and Adjustment Sequence Number \'00\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 50
testRunner.And("There is correct Movement Key in a line for SKU \'100013\' in Stock Log file with M" +
                    "ovement Type \'31\' and Adjustment Code \'02\' and Adjustment Sequence Number \'00\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 51
testRunner.And("There is correct Movement Key in a line for SKU \'100013\' in Stock Log file with M" +
                    "ovement Type \'66\' and Adjustment Code \'53\' and Adjustment Sequence Number \'00\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Correct Adjustment Sequence Numbers are saved after STA Audit Upload file process" +
            "")]
        public virtual void CorrectAdjustmentSequenceNumbersAreSavedAfterSTAAuditUploadFileProcess()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Correct Adjustment Sequence Numbers are saved after STA Audit Upload file process" +
                    "", ((string[])(null)));
#line 53
this.ScenarioSetup(scenarioInfo);
#line 54
testRunner.Given("There was a file for STA Audit Upload", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 55
testRunner.And("There was no data about previous Stock Adjustment in db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 56
testRunner.And("There was an adjustment for SKU \'500300\' with Normal Stock Quantity = 3 and Markd" +
                    "own Quantity = 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 57
testRunner.And("There was an adjustment for SKU \'500300\' with Normal Stock Quantity = 4 and Markd" +
                    "own Quantity = 2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 58
testRunner.When("The file was processed by STA Audit Upload", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 59
testRunner.Then("2 SKUs from file is successfully processed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 60
testRunner.Then("There is 0 errors", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 61
testRunner.And("There is a line for SKU \'500300\' in Stock Adjustment file with Adjustment Code \'0" +
                    "2\' and Quantity 3 and Comment \'PIC - Audit Count\' and Sequence Number \'00\' for p" +
                    "rocessed Zebra File for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 62
testRunner.And("There is a line for SKU \'500300\' in Stock Adjustment file with Adjustment Code \'5" +
                    "3\' and Quantity 1 and Comment \'PIC - Audit Count\' and Sequence Number \'00\' for p" +
                    "rocessed Zebra File for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 63
testRunner.And("There is a line for SKU \'500300\' in Stock Adjustment file with Adjustment Code \'0" +
                    "2\' and Quantity 4 and Comment \'PIC - Audit Count\' and Sequence Number \'01\' for p" +
                    "rocessed Zebra File for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 64
testRunner.And("There is a line for SKU \'500300\' in Stock Adjustment file with Adjustment Code \'5" +
                    "3\' and Quantity 2 and Comment \'PIC - Audit Count\' and Sequence Number \'01\' for p" +
                    "rocessed Zebra File for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Stock Adjustment from a file can not be processed twice")]
        public virtual void StockAdjustmentFromAFileCanNotBeProcessedTwice()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Stock Adjustment from a file can not be processed twice", ((string[])(null)));
#line 66
this.ScenarioSetup(scenarioInfo);
#line 67
testRunner.Given("There was a file for STA Audit Upload", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 68
testRunner.And("There was no data about previous Stock Adjustment in db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 69
testRunner.And("There was an adjustment for SKU \'500300\' with Normal Stock Quantity = 4 and Markd" +
                    "own Quantity = 2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 70
testRunner.And("The file was processed by STA Audit Upload", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 71
testRunner.When("The file was processed by STA Audit Upload for the second time", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 72
testRunner.Then("There is only one line for SKU \'500300\' in Stock Adjustment file with Adjustment " +
                    "Code \'02\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 73
testRunner.Then("There is only one line for SKU \'500300\' in Stock Adjustment file with Adjustment " +
                    "Code \'53\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("STA Audit Upload file processing with System Adjustment 91")]
        public virtual void STAAuditUploadFileProcessingWithSystemAdjustment91()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("STA Audit Upload file processing with System Adjustment 91", ((string[])(null)));
#line 75
this.ScenarioSetup(scenarioInfo);
#line 76
testRunner.Given("There was only one record in Stock Log file with SKU \'500300\' with Type \'01\' and " +
                    "Quantity 5 for yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 77
testRunner.And("There was a file for STA Audit Upload", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 78
testRunner.And("There was an adjustment for SKU \'500300\' with Normal Stock Quantity = 3 and Markd" +
                    "own Quantity = 0", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 79
testRunner.And("There was SKU \'500300\' with Normal Stock Quantity = 10 and Markdown Quantity = 10" +
                    " in db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 80
testRunner.When("The file was processed by STA Audit Upload", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 81
testRunner.Then("1 SKUs from file is successfully processed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 82
testRunner.And("There is 0 errors", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 83
testRunner.And("There is a line for SKU \'500300\' in Stock Log file with Movement Type \'91\' and St" +
                    "arting Stock on Hand Quantity 5 and Ending Stock on Hand Quantity 10 for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 84
testRunner.And("There is a line for SKU \'500300\' in Stock Log file with Movement Type \'32\' and St" +
                    "arting Stock on Hand Quantity 10 and Ending Stock on Hand Quantity 13 for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
    }
}
#pragma warning restore
#endregion
